Subject: Re: initrd question...

From: dony <[email-masked]>
Date: Wed, 16 Feb 2000 11:13:51 +0800

sungyeon wrote:

> ----- Original Message -----
> From: "dony" <[email-masked]>
> To: <[email-masked]>; "linuxppc-embed"
> <[email-masked]>
> Sent: Wednesday, February 16, 2000 11:42 AM
> Subject: initrd question...
>
> >
> > Hello:
> >     Now I want to get my initrd running. I use the ramdisk demo
> "ramdisk.image.gz" under
> > arch/ppc/mbxboot and compile my zvmlinux.initrd.
> >     The target boots correctly at the beginning. It decompresses the
> kernel and runs the kernel and
> > shows the boot messages. When all is done, it begins to mount root
> filesystem (on Ramdisk), and shows
> > the following messages:
> >         RAMDISK:Compressed image found at block 0
> >         VFS:Mounted root (ext2 filesystem)
> >          Freeing unused kernel memory:28k init
> > Then nothing happen.
>
> If your root file system is nfs, and disable BOOTP kernel option
> then nothing happen. like you.
>
> I'v changed root file system from NFS to RAMdisk. and disabled BOOTP.

Yes, I have also done this. But the problem still exists. why?

>
>
> > At this time it should show the shell prompt. But I don't know why it
> didn't show. And I couldnot input
> > any character.
> > Cross-compile environment:
> > [binutils-2.9.1.0.19a        egcs-1.1.2           glibc-2.1(including
> crypt, linuxthreads)]
> > I cross-compile my kernel under the above environment.
> > Any suggestions will be highly appreciated.
> > Thank in advance
> > dony
> >
> >
> >

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/